# AreaGeoSetTriangulator.cpp File Reference

`#include <osg/GeoSet>`
`#include <stdio.h>`
`#include <string.h>`
`#include "AreaGeoSetTriangulator.h"`

Include dependency graph for AreaGeoSetTriangulator.cpp:

## Namespaces

namespace | dx

## Functions

template<class T>
void | for_each_triangle2 (const osg::GeoSet &gset, T &op)
| Template function for iterating through a GeoSet operating on triangles with templated functor.
osg::GeoSet * | TriangulateAreaGeoSet (const osg::GeoSet &geoset)

## Function Documentation

template<class T>
void for_each_triangle2 | ( | const osg::GeoSet & | gset,
|  | T & | op
| ) |

| Template function for iterating through a GeoSet operating on triangles with templated functor. Function automatically decomposes quads and polygons into sub triangles which are passed onto functor.

osg::GeoSet* TriangulateAreaGeoSet | ( | const osg::GeoSet & | geoset | ) |